Developers
API ReferenceIncome Category

Retrieves a IncomeCategory resource.

GET
/finance/income-categories/{id}

Retrieves a IncomeCategory resource.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

IncomeCategory identifier

Response Body

IncomeCategory resource

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
createdAt?string
Formatdate-time
updatedAt?string
Formatdate-time
createdBy?|null
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/finance/income-categories/string'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phoneNumber": "string",    "pictureSm": "string",    "pictureLg": "string",    "canLogIn": false,    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "jobPositionName": "string"  }}